Deletes a User.

### HTTP request

`DELETE https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Users/{userId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Required. The unique identifier for the customer in Cloud Identity. The customer ID is an alphanumeric string that begins with the letter `C`, for example, `C01234abc`. To find your customer ID, see [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |
| `userId` | `string` Required. The unique, service-assigned identifier for the user resource in Cloud Identity. This value is the same as the `https://docs.cloud.google.com/identity/docs/scim/reference/rest/v1/customers.v2.Users#User.FIELDS.id` value of the corresponding user. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.user`

For more information, see the [Authorization guide](https://docs.cloud.google.com/workspace/guides/configure-oauth-consent).